import os.path

from pathlib import Path

from qgis.PyQt import uic
from qgis.PyQt.QtGui import QPixmap
from qgis.PyQt.QtWidgets import QDialog

from .tools.resources import devlog

ABOUT_FORM_CLASS, _ = uic.loadUiType(
    os.path.join(
        str(Path(__file__).resolve().parent),
        'tools/ui',
        'CenRa_PageRender_about_form.ui'
    )
)


class PageRenderAboutDialog(QDialog, ABOUT_FORM_CLASS):

    """ About - Let the user display the about dialog. """

    def __init__(self, iface, parent=None):
        super().__init__(parent)
        self.iface = iface
        self.setupUi(self)

        self.viewer.setHtml(devlog('CenRa_PAGERENDER'))

        self.rejected.connect(self.onReject)
        self.buttonBox.rejected.connect(self.onReject)
        self.buttonBox.accepted.connect(self.onAccept)

    def onAccept(self):
        """
        Save options when pressing OK button
        """
        self.accept()

    def onReject(self):
        """
        Run some actions when
        the user closes the dialog
        """
        self.close()